using System.Text.Json.Serialization;
using SqlSugar;

namespace WmsMobileServe.DataBase.Base.Po;


[SugarTable("T_RK_WARE_NOTICE_TAB")]
public class TRKWareNoticeTab
{

    /// <summary>
    /// 入库通知单号
    /// </summary>
    [JsonPropertyName("warehouseId")]
    [SugarColumn(ColumnName = "WAREHOUSING_ID")]
    public string? WarehouseId {  get; set; }

    /// <summary>
    /// 物料号
    /// </summary>
    [JsonPropertyName("goodsId")]
    [SugarColumn(ColumnName = "GOODS_ID")]
    public string? GoodsId { get; set; }

    /// <summary>
    /// 采购数量
    /// </summary>
    [JsonPropertyName("amount")]
    [SugarColumn(ColumnName = "AMOUNT")]
    public int? Amount { get; set; }

    /// <summary>
    /// 码盘数量
    /// </summary>
    [JsonPropertyName("arramount")]
    [SugarColumn(ColumnName = "ARRAMOUNT")]
    public int? ArrAmount { get; set; }


    /// <summary>
    /// 生产日期
    /// </summary>
    [JsonPropertyName("productionDate")]
    [SugarColumn(ColumnName = "PRODUCTION_DATE")]
    public DateTime? ProductionDate {  get; set; }

    /// <summary>
    /// 入库仓库编号
    /// </summary>
    [JsonPropertyName("storageId")]
    [SugarColumn(ColumnName = "STORAGE_ID")]
    public string? StorageId { get; set; }

    /// <summary>
    /// 入库库区编号
    /// </summary>
    [JsonPropertyName("storageAreaId")]
    [SugarColumn(ColumnName = "STORAGE_AREA_ID")]
    public string? StorageAreaId { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("packageId")]
    [SugarColumn(ColumnName = "PACKAGE_ID")]
    public string? PackageId { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("remark")]
    [SugarColumn(ColumnName = "REMARK")]
    public string? Remark {  get; set; }

    /// <summary>
    /// 单位
    /// </summary>
    [JsonPropertyName("unit")]
    [SugarColumn(ColumnName = "UNIT")]
    public string? Unit {  get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("goodsTypeId")]
    [SugarColumn(ColumnName = "GOODS_TYPE_ID")]
    public string? GoodsTypeId { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("provoderId")]
    [SugarColumn(ColumnName = "PROVIDER_ID")]
    public string? ProvoderId { get; set; }

    /// <summary>
    /// 采购单号
    /// </summary>
    [JsonPropertyName("purchaseId")]
    [SugarColumn(ColumnName = "PURCHASE_ID")]
    public string? PurchaseId {  get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("barCode")]
    [SugarColumn(ColumnName = "BARCODE")]
    public string? BarCode { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("printSts")]
    [SugarColumn(ColumnName = "PRINTSTS")]
    public string? PrintSts { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("goodsMeasureId")]
    [SugarColumn(ColumnName = "GOODS_MEASURE_ID")]
    public string? GoodsMeasureId { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("printNum")]
    [SugarColumn(ColumnName = "PRINTNUM")]
    public decimal? PrintNum { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("diskSts")]
    [SugarColumn(ColumnName = "DISKSTS")]
    public string? DiskSts { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("customerId")]
    [SugarColumn(ColumnName = "CUSTOMER_ID")]
    public string? CustomerId { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("producLotId")]
    [SugarColumn(ColumnName = "PRODUCLOTID")]
    public string? ProducLotId { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("netWeight")]
    [SugarColumn(ColumnName = "NET_WEIGH")]
    public decimal? NetWeight { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("poHeaderId")]
    [SugarColumn(ColumnName = "PO_HEADER_ID")]
    public int? PoHeaderId { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("poLineId")]
    [SugarColumn(ColumnName = "PO_LINE_ID")]
    public int? PoLineId { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("lineLocationId")]
    [SugarColumn(ColumnName = "LINE_LOCATION_ID")]
    public int? LineLocationId { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("shipToOrganizationCode")]
    [SugarColumn(ColumnName = "SHIP_TO_ORGANIZATION_CODE")]
    public string? ShipToOrganizationCode { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("shipToOrganizationId")]
    [SugarColumn(ColumnName = "SHIP_TO_ORGANIZATION_ID")]
    public string? ShipToOrganizationId { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("lineNum")]
    [SugarColumn(ColumnName = "LINE_NUM")]
    public int? LineNum { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("shipmentNum")]
    [SugarColumn(ColumnName = "SHIPMENT_NUM")]
    public int? ShipmentNum { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("poDistrobutionId")]
    [SugarColumn(ColumnName = "PO_DISTRIBUTION_ID")]
    public int? PoDistrobutionId { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("distributionNum")]
    [SugarColumn(ColumnName = "DISTRIBUTION_NUM")]
    public int? DistributionNum { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("goodsName")]
    [SugarColumn(ColumnName = "GOODS_NAME")]
    public string? GoodsName { get; set; }




}
